<?php // $Id: mostra_imagem.php,v 1.1 2005/06/02 10:16:28 fpam Exp fpam $
session_start();
//header("Content-type: image/jpeg"); // act as a jpg file to browser 
header("Content-type: image/png"); // act as a jpg file to browser 

// começa por apagar as figuras anteriores

// primeiro obtem o nome do ficheiro
$nomeFicheiro = $_GET['argumento'];

// depois vai ler o ficheiro convertido

$texfile=fopen($nomeFicheiro,"r");
$vImagemPNG=fread($texfile,filesize($nomeFicheiro));
fclose($texfile);

// e finalmente mostra-o

echo $vImagemPNG; 
?>


